> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Update Contractor Profile

> Updates the caller's own person given/family name (contractors or org admins).

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-update-contractor-profile
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-update-contractor-profile:
    post:
      operationId: selfServeUpdateContractorProfile
      summary: Self Serve Update Contractor Profile
      description: >-
        Updates the caller's own person given/family name (contractors or org
        admins).


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelfServeUpdateContractorProfileRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeUpdateContractorProfileResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeUpdateContractorProfileRequest:
      type: object
      properties:
        givenName:
          type: string
          minLength: 1
          maxLength: 120
        familyName:
          type: string
          minLength: 1
          maxLength: 120
      required:
        - givenName
        - familyName
    SelfServeUpdateContractorProfileResponse:
      type: object
      properties:
        success:
          type: boolean
        profile:
          type: object
          properties:
            givenName:
              type: string
            familyName:
              type: string
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
